---
title: gradientTransform
slug: Web/SVG/Attribute/gradientTransform
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <code>gradientTransform</code> attribute contains the definition of an optional additional transformation from the gradient coordinate system onto the target coordinate system (i.e., userSpaceOnUse or objectBoundingBox). This allows for things such as skewing the gradient. This additional transformation matrix is post-multiplied to (i.e., inserted to the right of) any previously defined transformations, including the implicit transformation necessary to convert from object bounding box units to user space.</p>

<p>Two elements are using this attribute: {{SVGElement("linearGradient")}} and {{SVGElement("radialGradient")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[10]">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;radialGradient id="gradient1" gradientUnits="userSpaceOnUse"
      cx="100" cy="100" r="100" fx="100" fy="100"&gt;
    &lt;stop offset="0%" stop-color="darkblue" /&gt;
    &lt;stop offset="50%" stop-color="skyblue" /&gt;
    &lt;stop offset="100%" stop-color="darkblue" /&gt;
  &lt;/radialGradient&gt;
  &lt;radialGradient id="gradient2" gradientUnits="userSpaceOnUse"
      cx="100" cy="100" r="100" fx="100" fy="100"
      gradientTransform="skewX(20) translate(-35, 0)"&gt;
    &lt;stop offset="0%" stop-color="darkblue" /&gt;
    &lt;stop offset="50%" stop-color="skyblue" /&gt;
    &lt;stop offset="100%" stop-color="darkblue" /&gt;
  &lt;/radialGradient&gt;

  &lt;rect x="0" y="0" width="200" height="200" fill="url(#gradient1)" /&gt;
  &lt;rect x="0" y="0" width="200" height="200" fill="url(#gradient2)" style="transform: translateX(220px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "420", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Default value</th>
   <td><em>Identity transform</em></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;transform-list&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;transform-list&gt;</code></dt>
 <dd>A list of <a href="/en-US/docs/Web/CSS/transform-function">transformation functions</a> specifying some additional transformation from the gradient coordinate system onto the target coordinate system.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Transforms", "#typedef-transform-list", "surfaceScale for &lt;feSpecularLighting&gt;")}}</td>
   <td>{{Spec2("CSS3 Transforms")}}</td>
   <td>Defines the <code>&lt;transformation-list&gt;</code> value.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#LinearGradientElementGradientTransformAttribute", "gradientTransformation for &lt;linearGradient&gt;")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#RadialGradientElementGradientTransformAttribute", "gradientTransformation for &lt;radialGradient&gt;")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#LinearGradientElementGradientTransformAttribute", "gradientTransformation for &lt;linearGradient&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;linearGradient&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#RadialGradientElementGradientTransformAttribute", "gradientTransformation for &lt;radialGradient&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;radialGradient&gt;</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.linearGradient.gradientTransform")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("transform-function")}}</li>
</ul>
